# net_ping – Tests reachability using ping from a network device

New in version 2.4.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Tests reachability using ping from network device to a remote destination.
- For Windows targets, use the win_ping module instead.
- For targets running Python, use the ping module instead.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
count - | Default: 5 | Number of packets to send.
dest - / required |  | The IP Address or hostname (resolvable by switch) of the remote node.
source - |  | The source IP Address.

state
-

Choices:
- absent
- present ←

Determines if the expected result is success or fail.

vrf - | Default: "default" | The VRF to use for forwarding.

## Notes

Note

- For Windows targets, use the win_ping module instead.
- For targets running Python, use the ping module instead.
- This module is supported on `ansible_network_os` network platforms. See the Network Platform Options for details.

## Examples

    - name: Test reachability to 10.10.10.10 using default vrf
      net_ping:
        dest: 10.10.10.10

    - name: Test reachability to 10.20.20.20 using prod vrf
      net_ping:
        dest: 10.20.20.20
        vrf: prod

    - name: Test unreachability to 10.30.30.30 using default vrf
      net_ping:
        dest: 10.30.30.30
        state: absent

    - name: Test reachability to 10.40.40.40 using prod vrf and setting count and source
      net_ping:
        dest: 10.40.40.40
        source: loopback0
        vrf: prod
        count: 20

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | Show the command sent. Sample: ['ping vrf prod 10.40.40.40 count 20 source loopback0']
packet_loss string | always | Percentage of packets lost. Sample: 0%
packets_rx integer | always | Packets successfully received. Sample: 20
packets_tx integer | always | Packets successfully transmitted. Sample: 20
rtt dictionary | always | Show RTT stats. Sample: {'avg': 2, 'max': 8, 'min': 1}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Jacob McGill (@jmcgill298)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.